#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-dns-z-dns-internal
version:              4.1.1
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.1.1-FKdUj7udpv37LYZo6D9MER-dns-internal
key:                  dns-4.1.1-FKdUj7udpv37LYZo6D9MER-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  fa166b97dc3f39bcfe54e901de884c03
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.2.8/site-local/dns-4.1.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/dns-4.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.1-FKdUj7udpv37LYZo6D9MER-dns-internal
depends:
    array-0.5.4.0 async-2.2.5-2ZAiDX9fTSEE4pk3DTvSLh
    attoparsec-0.14.4-G298qJHRQRHDUL2EvWnXPT
    auto-update-0.1.6-Eva8sk9opWl9qIandHyVCN base-4.16.4.0
    base16-bytestring-1.0.2.0-9Uw7FmZioqV3AZ8gfMgJAR
    base64-bytestring-1.2.1.0-B8Du4zY6KSMD23E4GtFzXa
    bytestring-0.11.4.0 case-insensitive-1.2.1.0-HsMAjV1BeNFIsZUD16P0wt
    containers-0.6.5.1 cryptonite-0.30-CVrRgdRxI0OHmYXVC8SZtK
    hourglass-0.2.12-Jdeju2NuVKLB6JArTbHWbJ
    iproute-1.7.14-8qkBw6Z04WAEIorjXcJRo5 mtl-2.2.2
    network-3.1.4.0-8plMdWC6k3bB7Cj0MAiamd
    psqueues-0.2.8.0-EMxAaNpKM3B2ETeIKgB80y

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dns
version:              4.1.1
visibility:           public
id:                   dns-4.1.1-45h61lUm0DUAN8ZxeAJo50
key:                  dns-4.1.1-45h61lUm0DUAN8ZxeAJo50
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  8f5537badebf6ec50b68fe5ae2e604ee
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.2.8/site-local/dns-4.1.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/dns-4.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.1-45h61lUm0DUAN8ZxeAJo50
depends:
    array-0.5.4.0 async-2.2.5-2ZAiDX9fTSEE4pk3DTvSLh
    attoparsec-0.14.4-G298qJHRQRHDUL2EvWnXPT
    auto-update-0.1.6-Eva8sk9opWl9qIandHyVCN base-4.16.4.0
    base16-bytestring-1.0.2.0-9Uw7FmZioqV3AZ8gfMgJAR
    base64-bytestring-1.2.1.0-B8Du4zY6KSMD23E4GtFzXa
    bytestring-0.11.4.0 containers-0.6.5.1
    cryptonite-0.30-CVrRgdRxI0OHmYXVC8SZtK
    dns-4.1.1-FKdUj7udpv37LYZo6D9MER-dns-internal
    hourglass-0.2.12-Jdeju2NuVKLB6JArTbHWbJ
    iproute-1.7.14-8qkBw6Z04WAEIorjXcJRo5 mtl-2.2.2
    network-3.1.4.0-8plMdWC6k3bB7Cj0MAiamd
    psqueues-0.2.8.0-EMxAaNpKM3B2ETeIKgB80y

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

